> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Leaderboard Ranking

> Retrieves leaderboard ranking and filters by time range.



## OpenAPI

````yaml get /gamifications/leaderboards
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /gamifications/leaderboards:
    get:
      summary: Get Leaderboard Ranking
      description: Retrieves leaderboard ranking and filters by time range.
      parameters:
        - name: time_range
          in: query
          description: >-
            Time range for the leaderboard: all time, last 7 days, or last 30
            days
          schema:
            type: string
            enum:
              - all
              - '7'
              - '30'
            default: all
      responses:
        '200':
          description: Leaderboard Data
          content:
            application/json:
              schema:
                type: object
                properties:
                  leaderboard:
                    type: object
                    properties:
                      total_members:
                        type: integer
                        description: Total number of members in the leaderboard
                      members:
                        type: array
                        items:
                          type: object
                          properties:
                            rank:
                              type: integer
                            id:
                              type: string
                            first_name:
                              type: string
                            last_name:
                              type: string
                            status:
                              type: string
                            email:
                              type: string
                            name:
                              type: string
                            total_points:
                              type: integer
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````